# -*- coding: utf-8 -*-
<%
    import pooler
    import netsvc
    from osv import fields,osv
    import tools

    img_path = 'file://' + tools.config['addons_path'] +'/trey_customize_trey/report/img'
    css_path = 'file://' + tools.config['addons_path'] +'/trey_customize_trey/report/css'

%>
<html>
    <head>
        <meta content="text/html; charset=UTF-8" http-equiv="content-type"/>
        <link href="${css_path}/reset.css" rel="stylesheet">
        <link href="${css_path}/base.css" rel="stylesheet">
        <style type="text/css">
            ${css}
        </style>                
        <script>
            function subst() {
               var vars={};
               var x=document.location.search.substring(1).split('&');
               for(var i in x) {var z=x[i].split('=',2);vars[z[0]] = unescape(z[1]);}
               var x=['frompage','topage','page','webpage','section','subsection','subsubsection'];
               for(var i in x) {
                 var y = document.getElementsByClassName(x[i]);
                 for(var j=0; j<y.length; ++j) y[j].textContent = vars[x[i]];
               }
             }
        </script>
    </head>
    <body onload="subst()">
        <!-- HEADER -->
        <div class="header-filigrana">
            <img border="0" title="trey,kilobytes de soluciones." alt="trey, kilobytes de soluciontes." src="${img_path}/trey_header.png">
        </div>


        <!--  REPORT -->

        %for invoice in objects :
        <% setLang(invoice.partner_id.lang) %>
        <div class='partner' >
            <ul class='address'>
                <li class='partner_name'>${invoice.partner_id.name |entity} ${invoice.partner_id.title and ', %s' % invoice.partner_id.title.name  or ''|entity}</strong></li>
                <li>${invoice.address_invoice_id.street or ''|entity}</li>
                <li>${invoice.address_invoice_id.street2 or ''|entity}</li>
                <li>${invoice.address_invoice_id.zip or ''|entity} ${invoice.address_invoice_id.city or ''|entity}</li>
                %if invoice.address_invoice_id.country_id :
                    <li>${invoice.address_invoice_id.country_id.name or ''|entity} </li>
                %endif
            </ul>
            <ul class='contact_info'>
                %if invoice.address_invoice_id.phone :
                    <li>Tel.: ${invoice.address_invoice_id.phone|entity}</li>
                %endif
                %if invoice.address_invoice_id.fax :
                    <li>Fax: ${invoice.address_invoice_id.fax|entity}</li>
                %endif
                %if invoice.address_invoice_id.email :
                    <li>e-mail: ${invoice.address_invoice_id.email|entity}</li>
                %endif
                %if invoice.partner_id.vat :
                    <li>CIF/NIF: <span class='vat_prefix'>${invoice.partner_id.vat[:2]|entity}</span><span class='vat_sufix'>${invoice.partner_id.vat[2:]|entity}</span></li>
                %endif
            </table>
        </div>

        <p>
            %if invoice.type == 'out_invoice' and (invoice.state == 'open' or invoice.state == 'paid') :
                <h1><span class="title">Factura ${invoice.number or ''|entity}</span></h1>
            %elif invoice.type == 'out_invoice' and invoice.state == 'proforma2':
                <h1><span class="title">Proforma ${invoice.number or ''|entity}</span><h1>
            %elif invoice.type == 'out_invoice' and invoice.state == 'draft':
                <h1><span class="title">BORRADOR DE FACTURA (no válida) ${invoice.number or ''|entity}</span><h1>
            %elif invoice.type == 'out_invoice' and invoice.state == 'cancel':
                <h1><span class="title">Factura CANCELADA (no válida) ${invoice.number or ''|entity}</span><h1>
            %elif invoice.type=='out_refund':
                <h1><span class="title">Abono ${invoice.number or ''|entity}</span><h1>
            %elif invoice.type=='in_refund':
                <h1><span class="title">Abono proveedor ${invoice.number or ''|entity}</span><h1>
            %elif invoice.type=='in_invoice':
                <h1><span class="title">Factura de proveedor ${invoice.number or ''|entity}</span><h1>
            %endif
            <span>${formatLang(invoice.date_invoice, date=True)|entity} ${invoice.name and '| <span class="text_no_important">%s</span>' % invoice.name or '' |}</span>
        </p>

        <table class="lines" style="width:1000px !important;">
            <thead>
                <tr class="line_head">
                    <th>Descripción</th>
                    <th style="text-align:right;">Cantidad</th>
                    <th style="text-align:right;">Precio unitario</th>
                    <th style="text-align:right;">Dto.</th>
                    <th style="text-align:right;">Precio</th>
                </tr>
            </thead>
            %for line in invoice.invoice_line :
            <tbody>
                <tr class="line">
                    <td>${line.name|entity}</td>
                    <td style="text-align:right;">${formatLang(line.quantity)} ${line.uos_id and line.uos_id.name or ''}</td>
                    <td style="text-align:right;">${formatLang(line.price_unit)} ${invoice.currency_id.symbol}</td>
                    <td style="text-align:right;">${line.discount or 0.00}%</td>
                    <td style="text-align:right;">${formatLang(line.price_subtotal)}  ${invoice.currency_id.symbol}</td>
                </tr>
                %if line.note :
                    <tr class="line_note">
                        <td colspan="6">
                            <pre>${line.note |entity}</pre>
                            <p>&nbsp;</p>
                        </td>
                    </tr>
                %endif
            %endfor
            <tr class="line_subtotal">
                <td colspan="3" class="line_empty"/>
                <td><strong>Base Imp.:</strong></td>
                <td style="text-align:right;">${formatLang(invoice.amount_untaxed)} ${invoice.currency_id.symbol}</td>
            </tr>
            <tr class="line_tax">
                <td colspan="3" class="line_empty currency"/>
                <td><b>Impuestos:</b></td>
                <td style="text-align:right;">${formatLang(invoice.amount_tax)} ${invoice.currency_id.symbol}</td>
            </tr>
            <tr class="line_total">
                <td colspan="3" class="line_empty currency"/>
                <td><b>Total:</b></td>
                <td style="text-align:right;">${formatLang(invoice.amount_total)} ${invoice.currency_id.symbol}</td>
            </tr>
            </tbody>
        </table>


    
        %if invoice.tax_line :
            <div class="taxes">
                <table class="lines lines_tax">
                    <thead>
                        <tr class="line_head line_head_tax">
                            <td>Impuesto</td>
                            <td>Base</td>
                            <td>Importe</td>
                        </tr>
                    </thead>
                    %for tax in invoice.tax_line:
                        <tr class="line line_tax">
                            <td>${tax.name or tax.name}</td>
                            <td class="text-align: right;">${formatLang(tax.base)}  ${invoice.currency_id.symbol}</td>
                            <td class="text-align: right;">${formatLang(tax.amount)}  ${invoice.currency_id.symbol}</td>
                        </tr>            
                    %endfor
                </table>
            </div>                    
        %endif
        
        <div class="fiscal_position">${ invoice.fiscal_position and invoice.fiscal_position.note and '<span class="upper">Posicion fiscal:</span> %s' % invoice.fiscal_position.note or ''}</div>
        <div class="note"><pre>${invoice.comment or ''|entity}</pre></div>
        <div class="note"><pre>${invoice.comment or ''|entity}</pre></div>


        <div class="taxes">            
            <table class="lines lines_tax">
                <thead>
                    <tr class="line_head line_head_tax">
                        <td>Puede realizar el ingreso en</td>
                        <td>Entidad</td>
                    </tr>
                </thead>
                <tr class="line line_tax">
                    <td>2031  0023  96  0116283904</td>
                    <td class="text-align: right;">Caja Granada</td>
                </tr>            
            </table>
        </div> 

        <p style="page-break-after:auto"></p>
        %endfor
    </body>
</html>
