# -*- coding: utf-8 -*-
<%
    import pooler
    import netsvc
    from osv import fields,osv
    import tools

    img_path = 'file://' + tools.config['addons_path'] +'/trey_customize_trey/report/img'
    css_path = 'file://' + tools.config['addons_path'] +'/trey_customize_trey/report/css'

%>
<html>
    <head>
        <meta content="text/html; charset=UTF-8" http-equiv="content-type"/>
        <link href="${css_path}/reset.css" rel="stylesheet">
        <link href="${css_path}/base.css" rel="stylesheet">
        <style type="text/css">
            ${css}
            body {
                font-size: 95% !important;
            }
        </style>                
        <script>
            function subst() {
               var vars={};
               var x=document.location.search.substring(1).split('&');
               for(var i in x) {var z=x[i].split('=',2);vars[z[0]] = unescape(z[1]);}
               var x=['frompage','topage','page','webpage','section','subsection','subsubsection'];
               for(var i in x) {
                 var y = document.getElementsByClassName(x[i]);
                 for(var j=0; j<y.length; ++j) y[j].textContent = vars[x[i]];
               }
             }
        </script>
    </head>
    <body onload="subst()">
        <!-- HEADER -->
        <div class="header-filigrana">
            <img border="0" title="trey,kilobytes de soluciones." alt="trey, kilobytes de soluciontes." src="${img_path}/trey_header.png">
        </div>

        <!--  REPORT -->

        %for project in objects :
            %if project.analytic_account_id.partner_id : 
            <%
                    setLang(project.analytic_account_id.partner_id.lang)
                    partner_id = project.analytic_account_id.partner_id
            %>
            <div class='partner' >
                <ul class='address'>
                    <li class='partner_name'>${partner_id.name |entity} ${partner_id.title and ', %s' % partner_id.title.name  or ''|entity}</strong></li>
                    <li>${partner_id.address[0].street or ''|entity}</li>
                    <li>${partner_id.address[0].street2 or ''|entity}</li>
                    <li>${partner_id.address[0].zip or ''|entity} ${partner_id.address[0].city or ''|entity}</li>
                    %if partner_id.address.country_id :
                        <li>${partner_id.address[0].country_id.name or ''|entity} </li>
                    %endif
                </ul>
                <ul class='contact_info'>
                    %if partner_id.address[0].phone :
                        <li>Tel.: ${partner_id.address[0].phone|entity}</li>
                    %endif
                    %if partner_id.address[0].fax :
                        <li>Fax: ${partner_id.address[0].fax|entity}</li>
                    %endif
                    %if partner_id.address[0].email :
                        <li>e-mail: ${partner_id.address[0].email|entity}</li>
                    %endif
                    %if partner_id.vat :
                        <li>CIF/NIF: <span class='vat_prefix'>${partner_id.vat[:2]|entity}</span><span class='vat_sufix'>${partner_id.vat[2:]|entity}</span></li>
                    %endif
                </table>
            </div>
        %endif

        <p>
            %if project.analytic_account_id.state == 'draft' :
                <h1><span class="title">Borrador de proyecto</span></h1>
            %elif project.analytic_account_id.state == 'open' :
                <h1><span class="title">Proyecto</span><h1>
            %elif project.analytic_account_id.state == 'pending' :
                <h1><span class="title">Pendiente</span><h1>
            %elif project.analytic_account_id.state == 'cancelled' :
                <h1><span class="title">Proyecto CANCELADO</span><h1>
            %elif project.analytic_account_id.state == 'close' :
                <h1><span class="title">Proyecto finalizado</span><h1>
            %elif project.analytic_account_id.state == 'template' :
                <h1><span class="title">Proyecto plantilla</span><h1>
            %endif
            <span>${formatLang(project.analytic_account_id.date_start, date=True)|entity} | <span class="text_no_important">${project.complete_name}</span></span>
        </p>

        <style>
            .content {width: 1000px; margin-top: 100px;font-size: 110%;line-height: 140%;}
            .content p { margin-bottom: 30px; }
        </style>
        <div class="content">
            <p class="justify">Antes de nada el equipo de trey quiere agradecerle la confianza
            que nos ha depositado al encargarnos el desarrollo de su proyecto.
            Somos conocedores de lo importante que es para usted y  su empresa el
            desarrollo del mismo y por eso quisiéramos marcar unas pautas que
            nos ayudarán, sin duda, a que el resultado sea de una excelente
            calidad y dentro de los tiempos marcados.</p>
            
            <p class="justify">Tenga plena confianza describirnos todos los aspectos de su
            proyecto, porque trey  guardará confidencialidad sobre la
            información que nos facilite. En el caso que tengamos la necesidad
            de acceder a datos de carácter personal, estamos obligados al
            cumplimiento de la Ley 15/1999, de 13 de diciembre, de Protección de
            Datos de Carácter Personal y del Real Decreto 1720/2007, de 21 de
            diciembre, por el que se aprueba el Reglamento de desarrollo de la
            Ley Orgánica 15/1999 y demás normativa aplicable, por tanto,
            responderemos de las infracciones en las que se pudieran incurrir en
            el caso de que destinemos los datos personales a otra finalidad, los
            comuniquemos a un tercero, o en general, los utilicemos de forma
            irregular. 
            </p>

            <p class="justify">La mayoría de las veces, más de las que quisiéramos, el
            desarrollo de un proyecto no es 1 + 1. Por la naturaleza de los
            mismos no será posible especificar al 100% su alcance, ni calcular
            con exactitud los tiempos. Tenga comprensión y sea coherente,
            así lo seremos nosotros.</p>

            <p class="justify">No abuse de las expresiones, 'seria posible...', 'podríamos...',
            'ya que estamos...', ocasionan retrasos en su proyecto, la necesidad de aplicar parches, y en definitiva,  afecta a la calidad del mismo.</p>

            <p class="justify">Con el objetivo de salvar los obstáculos y mantener una buena
            comunicación, debemos de definir un interlocutor válido y con poder
            de decisión, y siempre que sea posible, único y el mismo durante el
            desarrollo del proyecto. Nuestro interlocutor designado es <span style="text-weight: bold">Roberto Lizana Ramirez</span> y sus datos de contacto son:
            <p/>
            <p>
                <span style="margin-left: 100px;" class='vat_prefix'>e-mail:</span> robertolizana@trey.es<br/>
                <span style="margin-left: 100px;" class='vat_prefix'>Telefono:</span> 958 10 90 15 <br/>
                <span style="margin-left: 100px;" class='vat_prefix'>Movil:</span> 659 145 167<br/>
            </p>


            <p>De nuevo, mil gracias por confiar en nosotros, 
            </p>
            <p style="margin-left: 100px; ">el equipo de trey.</p>

        </div>
        %endfor
    </body>
</html>
