# -*- coding: utf-8 -*-
<%
    import pooler
    import netsvc
    from osv import fields,osv
    import tools

    img_path = 'file://' + tools.config['addons_path'] +'/trey_customize_trey/report/img'
    css_path = 'file://' + tools.config['addons_path'] +'/trey_customize_trey/report/css'


    def need_shipping_address(sale):
        #pool = pooler.get_pool(cr.dbname)

        for line in sale.order_line :
            if line.product_id and line.product_id.product_tmpl_id.type in ('product', 'consu'):
                return True

        return False
%>
<html>
    <head>
        <meta content="text/html; charset=UTF-8" http-equiv="content-type"/>
        <link href="${css_path}/reset.css" rel="stylesheet">
        <link href="${css_path}/base.css" rel="stylesheet">
        <style type="text/css">
            ${css}
        </style>                
        <script>
            function subst() {
               var vars={};
               var x=document.location.search.substring(1).split('&');
               for(var i in x) {var z=x[i].split('=',2);vars[z[0]] = unescape(z[1]);}
               var x=['frompage','topage','page','webpage','section','subsection','subsubsection'];
               for(var i in x) {
                 var y = document.getElementsByClassName(x[i]);
                 for(var j=0; j<y.length; ++j) y[j].textContent = vars[x[i]];
               }
             }
        </script>
    </head>
    <body onload="subst()">
        <!-- HEADER -->
        <div class="header-filigrana">
            <img border="0" title="trey,kilobytes de soluciones." alt="trey, kilobytes de soluciontes." src="${img_path}/trey_header.png">
        </div>


        <!--  REPORT -->

        %for sale in objects :
        <% setLang(sale.partner_id.lang) %>
        <% currency_symbol = sale.pricelist_id.currency_id.symbol %>
        <div class='partner' >
            <ul class='address'>
                <li class='partner_name'>${sale.partner_id.name |entity} ${sale.partner_order_id.title and ', %s' % sale.partner_order_id.title or ''|entity}  </strong></li>
                <li>${sale.partner_order_id.street or ''|entity}</li>
                <li>${sale.partner_order_id.street2 or ''|entity}</li>
                <li>${sale.partner_order_id.zip or ''|entity} ${sale.partner_order_id.city or ''|entity}</li>
                %if sale.partner_order_id.country_id :
                    <li>${sale.partner_order_id.country_id.name or ''|entity} </li>
                %endif
            </ul>
            <ul class='contact_info'>
                %if sale.partner_order_id.phone :
                    <li>Tel.: ${sale.partner_order_id.phone|entity}</li>
                %endif
                %if sale.partner_order_id.fax :
                    <li>Fax: ${sale.partner_order_id.fax|entity}</li>
                %endif
                %if sale.partner_order_id.email :
                    <li>e-mail: ${sale.partner_order_id.email|entity}</li>
                %endif
                %if sale.partner_id.vat :
                    <li>CIF/NIF: <span class='vat_prefix'>${sale.partner_id.vat[:2]|entity}</span><span class='vat_sufix'>${sale.partner_id.vat[2:]|entity}</span></li>
                %endif
            </table>
        </div>

        %if not need_shipping_address(sale)  :
        <div class="shipping_address">
            <ul><small>Dirección de envio</small>
                <li>${sale.partner_shipping_id.street or ''|entity}</li>
                <li>${sale.partner_shipping_id.street2 or ''|entity}</li>
                <li>${sale.partner_shipping_id.zip or ''|entity} ${sale.partner_shipping_id.city or ''|entity}</li>
                %if sale.partner_shipping_id.country_id :
                    <li>${sale.partner_shipping_id.country_id.name or ''|entity} </li>
                %endif
                %if sale.partner_shipping_id.phone :
                    <li>Tel.: ${sale.partner_shipping_id.phone|entity}</li>
                %endif
            </ul>
        </div>
        %endif

        <p>
            %if sale.state != 'draft' :
                <h1><span class="title">Pedido ${sale.name or ''|entity}</span></h1>
            %else :
                <h1><span class="title">Presupuesto ${sale.name or ''|entity}</span><h1>
            %endif
            <span>${formatLang(sale.date_order, date=True)|entity} ${sale.client_order_ref and '| <span class="text_no_important">%s</span>' % sale.client_order_ref or '' |}</span>
        </p>

        <table class="lines">
            <thead>
                <tr class="line_head">
                    <th>Descripción</th>
                    <th style="text-align:right;">Cantidad</th>
                    <th style="text-align:right;">Precio unitario</th>
                    <th style="text-align:right;">Dto.</th>
                    <th style="text-align:right;">Precio</th>
                </tr>
            </thead>
            %for line in sale.order_line :
            <tbody>
                <tr class="line">
                    <td>${line.name|entity}</td>
                    <td style="text-align:right;">${formatLang(line.product_uos and line.product_uos_qty or line.product_uom_qty) } ${ line.product_uos and line.product_uos.name or line.product_uom.name }</td>
                    <td style="text-align:right;">${formatLang(line.price_unit)}  ${currency_symbol}</td>
                    <td style="text-align:right;">${line.discount or 0.00}%</td>
                    <td style="text-align:right;">${formatLang(line.price_subtotal)}  ${currency_symbol}</td>
                </tr>
                %if line.notes :
                    <tr class="line_note">
                        <td colspan="6">
                            <pre>${line.notes |entity}</pre>
                            <p>&nbsp;</p>
                        </td>
                    </tr>
                %endif
            %endfor
            <tr class="line_subtotal">
                <td colspan="3"  class="line_empty"/>
                <td><strong>Base Imp.:</strong></td>
                <td style="text-align:right;">${formatLang(sale.amount_untaxed)}  ${currency_symbol}</td>
            </tr>
            <tr class="line_tax">
                <td colspan="3"  class="line_empty"/>
                <td><b>Impuestos:</b></td>
                <td style="text-align:right;">${formatLang(sale.amount_tax)}  ${currency_symbol}</td>
            </tr>
            <tr class="line_total">
                <td colspan="3"  class="line_empty"/>
                <td><b>Total:</b></td>
                <td style="text-align:right;">${formatLang(sale.amount_total)}  ${currency_symbol}</td>
            </tr>
            </tbody>
        </table>

        <div class="note"><pre>${sale.note or ''|entity}</pre></div>

        <p style="page-break-after:auto"></p>
        %endfor
    </body>
</html>
